:root {
  --main-color: rgb(151, 58, 58);
  --nav-color: #00afa5;
  --bg-color: #e8f3f1;
  --black: rgb(97, 50, 50);
  --card-color: rgb(239, 201, 201);
  --border: 1rem solid var(var(--card-color));
  --box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
}
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  border: none;
  outline: none;
  text-decoration: none;
  text-transform: capitalize;
  transition: all 0.5s ease-in;
  scroll-padding-top: 16vh;
}
html {
  font-size: 55%;
  overflow-x: hidden;
}
body {
  background-color: var(--bg-color);
}
.btn {
  display: inline-block;
  background-color: rgb(151, 58, 58);
  color: #fff;
  font-size: 1.7rem;
  padding: 0.8rem 2.5rem;
  margin-top: 1rem;
  cursor: pointer;
}
.btn:hover {
  letter-spacing: 0.2rem;
}
section {
  padding: 2rem 7%;
}
.title {
  text-shadow:
    2px 2px 0 var(--card-color),
    -2px -2px 0 var(--card-color),
    -2px 2px 0 var(--card-color),
    2px -2px 0 var(--card-color);
  text-align: center;
  color: #fff;
  text-transform: uppercase;
  padding: 3.5rem 0;
  font-size: 4rem;
}
.title span {
  color: rgb(151, 58, 58);
}
.subtitle {
  text-align: center;
  margin-bottom: 5rem;
  color: var(--main-color);
  font-size: 1.8rem;
  text-shadow:
    2px 2px 0 var(--card-color),
    -2px -2px 0 var(--card-color),
    -2px 2px 0 var(--card-color),
    2px -2px 0 var(--card-color);
}
.container {
  width: 100%;
  margin: 0 auto;
  position: fixed;
  top: 30px;
  left: 0;
  right: 0;
}
.text {
  margin: 0 auto;
  overflow: hidden;
  background-color: rgb(151, 58, 58);
  position: fixed;
  top: -10px;
  left: 0;
  right: 0;
}
.text .uper {
  height: 45px;
  text-align: center;
  position: relative;
  top: 17px;
  color: #fff;
  font-size: 15px;
}
.header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1.5rem 7%;
  position: fixed;
  top: 30px;
  left: 0;
  right: 0;
  height: 12vh;
  /* z-index: 1000; */
}
.header .logo img {
  /* height: 9rem; */
  width: 13rem;
  border-radius: 50%;
}
.header .navbar a {
  font-size: 1.8rem;
  color: #000;
  margin: 0 2rem;
}
.header .navbar a:hover {
  color: rgb(151, 58, 58);
  border-top: 0.3rem solid rgb(151, 58, 58);
  border-bottom: 0.3rem solid rgb(151, 58, 58);
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
}
.header .icon {
  display: flex;
}
.header .icon div {
  color: #000;
  cursor: pointer;
  font-size: 2.5rem;
  margin-left: 2rem;
}
.header .icon div:hover {
  color: rgb(151, 58, 58);
}
.header .icon .menu-icon {
  display: none;
}
.header .search-form {
  display: flex;
  align-items: center;
  position: absolute;
  top: 115%;
  right: -100%;
  width: 45rem;
  height: 4.5rem;
  background-color: #fff;
}
.header .search-form.active {
  right: 7%;
}
.header .search-form input {
  width: 100%;
  height: 100%;
  padding: 1rem;
  font-size: 1.8rem;
  color: var(--black);
  text-transform: none;
}
.header .search-form label {
  color: var(--black);
  font-size: 2rem;
  padding-right: 2rem;
  cursor: pointer;
}
.header .search-form label:hover {
  color: rgb(151, 58, 58);
}
/*Home page*/
.home {
  display: flex;
  align-items: center;
  min-height: 84vh;
  margin-top: 16vh;
  background-color: rgb(178, 99, 99);
  background-image: url("images/cookies1.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: right;
}
.home .hero {
  width: 60rem;
}
.home .hero h3 {
  font-size: 6rem;
  text-transform: uppercase;
  color: #fff;
}
.home .hero p {
  font-size: 2rem;
  font-weight: lighter;
  line-height: 3.2rem;
  padding: 1rem 0;
  color: #fff;
}
/****About*****/
.about .containe {
  display: flex;
  justify-content: center;
  background-color: var(--black);
  flex-wrap: wrap;
}
.about .containe .img {
  flex: 1 1 45rem;
}
.about .containe .img img {
  width: 100%;
}
.about .containe .content {
  flex: 1 1 45rem;
  padding: 2rem;
}
.about .containe .content h3 {
  font-size: 3rem;
  color: #fff;
  padding: 1.2rem 0;
}
.about .containe .content p {
  font-size: 1.6rem;
  color: #ccc;
  padding: 1rem;
  line-height: 2.2rem;
}
/******* Cake *******/
.home-cake {
  display: flex;
  align-items: center;
  min-height: 84vh;
  margin-top: 16vh;
  background-color: rgb(178, 99, 99);
  background-image: url("cake/cake\ 6.jpeg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: right;
}
.home-cake .hero-cake {
  width: 60rem;
}
.home-cake .hero-cake h3 {
  font-size: 6rem;
  text-transform: uppercase;
  color: #fff;
}
.home-cake .hero-cake p {
  font-size: 2rem;
  font-weight: lighter;
  line-height: 3.2rem;
  padding: 1rem 0;
  color: #fff;
}
.wrapper {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(32rem, 1fr));
  gap: 1.5rem;
}
.cakes .wrapper .cake-card {
  background: var(--card-color);
  padding: 3rem 2rem;
  text-align: center;
  transform-origin: top center;
}
.cakes .wrapper .cake-card:hover {
  transform: scaleX(1.05);
  background: var(--black);
}
.cakes .wrapper .cake-card:hover *:not(a) {
  color: var(--main-color);
}
.cakes .wrapper .cake-card img {
  width: 100%;
}
.cakes .wrapper .cake-card h3 {
  color: #fff;
  font-size: 2rem;
  padding: 1rem 0;
}
.cakes .wrapper .cake-card .price {
  color: #fff;
  font-size: 1.8rem;
  padding: 0.5rem 0;
}
.cakes .wrapper .cake-card .price span {
  color: #fff;
  font-size: 1.5rem;
  text-decoration: line-through;
}
/***Sweet Page***/
/* Contact page */
.content-hero {
  display: flex;
  align-items: center;
  min-height: 84vh;
  margin-top: 16vh;
  background-color: rgb(178, 99, 99);
  background-image: url("sweets/sweet\ 25.jpeg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: right;
}
.content-hero .heros {
  width: 60rem;
}
.content-hero .heros h3 {
  font-size: 6rem;
  text-transform: uppercase;
  color: #fff;
}
.content-hero .heros p {
  font-size: 2rem;
  font-weight: lighter;
  line-height: 3.2rem;
  padding: 1rem 0;
  color: #fff;
}
.sweet .wrapper .sweet-card {
  text-align: center;
  padding: 2rem;
  background-color: #eac7c7;
  border: var(--border);
}
.sweet .wrapper .sweet-card:hover {
  box-shadow: var(--box-shadow);
}
.sweet .wrapper .sweet-card .icon a {
  color: #fff;
  border: var(--border);
  height: 5rem;
  width: 5rem;
  padding: 6px;
  font-size: 2rem;
  margin: 1.5rem;
  line-height: 5rem;
  border-radius: 5px;
}
.sweet .wrapper .sweet-card .icon a:hover {
  background-color: var(--main-color);
  box-shadow: var(--box-shadow);
}
.sweet .wrapper .sweet-card .img {
  padding: 2.5rem 0;
}
.sweet .wrapper .sweet-card .img img {
  height: 25rem;
  width: 30rem;
}
.sweet .wrapper .sweet-card .content h3 {
  color: #fff;
  font-size: 2.5rem;
  margin: 0.5rem 0;
}
.sweet .wrapper .sweet-card .content .star {
  padding: 1.8rem;
}
.sweet .wrapper .sweet-card .content .star i {
  font-size: 1.7rem;
  color: var(--main-color);
}
.sweet .wrapper .sweet-card .content .price {
  color: #fff;
  font-size: 1.8rem;
}
.sweet .wrapper .sweet-card .content .price span {
  color: #fff;
  font-size: 1.4rem;
  text-decoration: line-through;
}
/*******Party*******/
.home-party {
  display: flex;
  align-items: center;
  min-height: 84vh;
  margin-top: 16vh;
  background-color: rgb(178, 99, 99);
  background-image: url("Party/candel\ 1.jfif");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: right;
}
.home-party .hero-party {
  width: 60rem;
}
.home-party .hero-party h3 {
  font-size: 6rem;
  text-transform: uppercase;
  color: #fff;
}
.home-party .hero-party p {
  font-size: 2rem;
  font-weight: lighter;
  line-height: 3.2rem;
  padding: 1rem 0;
  color: #fff;
}
.party .wrapper .card {
  background-color: #ffdca9;
  border: var(--border);
}
.party .wrapper .card .img {
  width: 100%;
}
.party .wrapper .card .img img {
  height: 100%;
  object-fit: contain;
  width: 100%;
}
.party .wrapper .card .content {
  padding: 2rem;
}
.party .wrapper .card .content a:nth-of-type(1) {
  font-size: 2.5rem;
  line-height: 5rem;
  color: var(--black);
}
.party .wrapper .card .content .price {
  color: grey;
  font-size: 1.5rem;
  line-height: 2.5rem;
}
.party .wrapper .card:hover .content .price {
  color: var(--black);
}
.party .wrapper .card .content .btn {
  transform: scale(0);
}
.party .wrapper .card:hover .content .btn {
  transform: scale(1);
}
/*****Fast Food ******/
.home-fast {
  display: flex;
  align-items: center;
  min-height: 84vh;
  margin-top: 16vh;
  background-color: rgb(178, 99, 99);
  background-image: url("fast/club\ sandwhich.jpeg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: right;
}
.home-fast .hero-fast {
  width: 60rem;
}
.home-fast .hero-fast h3 {
  font-size: 6rem;
  text-transform: uppercase;
  color: #fff;
}
.home-fast .hero-fast p {
  font-size: 2rem;
  font-weight: lighter;
  line-height: 3.2rem;
  padding: 1rem 0;
  color: #fff;
}
.wrapper {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(32rem, 1fr));
  gap: 1.5rem;
}
.fast-food .wrapper .fast-card {
  background: var(--card-color);
  padding: 3rem 2rem;
  text-align: center;
  transform-origin: top center;
}
.fast-food .wrapper .fast-card:hover {
  transform: scaleX(1.05);
  background: var(--black);
}
.fast-food .wrapper .fast-card:hover *:not(a) {
  color: var(--main-color);
}
.fast-food .wrapper .fast-card img {
  width: 100%;
}
.fast-food .wrapper .fast-card h3 {
  color: #fff;
  font-size: 2rem;
  padding: 1rem 0;
}
.fast-food .wrapper .fast-card .price {
  color: #fff;
  font-size: 1.8rem;
  padding: 0.5rem 0;
}
.fast-food .wrapper .fast-card .price span {
  color: #fff;
  font-size: 1.5rem;
  text-decoration: line-through;
}
/****** Bakery *******/
.home-bakery {
  display: flex;
  align-items: center;
  min-height: 84vh;
  margin-top: 16vh;
  background-color: rgb(178, 99, 99);
  background-image: url("images/cookies1.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: right;
}
.home-bakery .hero-bakery {
  width: 60rem;
}
.home-bakery .hero-bakery h3 {
  font-size: 6rem;
  text-transform: uppercase;
  color: #fff;
}
.home-bakery .hero-bakery p {
  font-size: 2rem;
  font-weight: lighter;
  line-height: 3.2rem;
  padding: 1rem 0;
  color: #fff;
}
.bakery .wrapper .card {
  background-color: #ffdca9;
  border: var(--border);
}
.bakery .wrapper .card .img {
  width: 100%;
}
.bakery .wrapper .card .img img {
  height: 100%;
  object-fit: contain;
  width: 100%;
}
.bakery .wrapper .card .content {
  padding: 2rem;
}
.bakery .wrapper .card .content a:nth-of-type(1) {
  font-size: 2.5rem;
  line-height: 5rem;
  color: var(--black);
}
.bakery .wrapper .card .content .price {
  color: grey;
  font-size: 1.5rem;
  line-height: 2.5rem;
}
.bakery .wrapper .card:hover .content .price {
  color: var(--black);
}
.bakery .wrapper .card .content .btn {
  transform: scale(0);
}
.bakery .wrapper .card:hover .content .btn {
  transform: scale(1);
}
/***** Contact ******/
.home-contact {
  display: flex;
  align-items: center;
  min-height: 84vh;
  margin-top: 16vh;
  background-color: rgb(178, 99, 99);
  background-image: url("london\ 1.jpeg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: right;
}
.home-contact .hero-contact {
  width: 60rem;
}
.home-contact .hero-contact h3 {
  font-size: 6rem;
  text-transform: uppercase;
  color: #000;
}
.home-contact .hero-contact p {
  font-size: 2rem;
  font-weight: lighter;
  line-height: 3.2rem;
  padding: 1rem 0;
  color: #000;
}
.contact .contents {
  display: flex;
  background-color: var(--black);
  flex-wrap: wrap;
}
.contact .contents iframe {
  height: 50rem;
  flex: 1 1 45rem;
  object-fit: cover;
}

.info {
  justify-self: center;
  margin-top: 10rem;
}
.details {
  width: 100%;
  text-align: center;
}
.details span {
  font-size: 3rem;
  font-weight: 600;
  color: var(--main-color);
}
.details h2 {
  font-size: 2.2rem;
  line-height: 35px;
  padding: 20 0;
}
.details h3 {
  font-size: 2rem;
  padding-bottom: 15px;
}
.details li {
  list-style: none;
  display: flex;
  padding: 10px 0;
  justify-self: center;
}
.details li i {
  font-size: 14px;
  padding-right: 22px;
  justify-self: center;
}
.details p {
  margin: 0;
  font-size: 14px;
  font-weight: 600;
  text-align: center;
  justify-self: center;
}
/***** Footer ******/
footer {
  background-color: var(--black);
  text-align: center;
}
.footer .social-media {
  padding: 1rem 0;
}
.footer .social-media a {
  height: 5rem;
  width: 5rem;
  border-radius: 50%;
  line-height: 5rem;
  font-size: 2rem;
  color: #fff;
  border: 1px solid #fff;
  margin: 0.5rem;
}
.footer .social-media a:hover {
  background-color: var(--main-color);
}

.footer .links {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  padding: 2rem 0;
  gap: 1rem;
}
.footer .links a {
  padding: 0.7rem 2rem;
  color: #fff;
  border: 1px solid #fff;
  font-size: 2rem;
}
.footer .links a:hover {
  background-color: var(--main-color);
}
.footer .credits {
  font-size: 2rem;
  color: #fff;
  font-weight: lighter;
  padding: 1.5rem;
}
.footer .credits span {
  color: var(--main-color);
}
/**** Fry *****/
.home-fry {
  display: flex;
  align-items: center;
  min-height: 84vh;
  margin-top: 16vh;
  background-color: rgb(178, 99, 99);
  background-image: url("fry/patie.jfif");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: right;
}
.home-fry .hero-fry {
  width: 60rem;
}
.home-fry .hero-fry h3 {
  font-size: 6rem;
  text-transform: uppercase;
  color: #fff;
}
.home-fry .hero-fry p {
  font-size: 2rem;
  font-weight: lighter;
  line-height: 3.2rem;
  padding: 1rem 0;
  color: #fff;
}
.fry .wrapper .fry-card {
  text-align: center;
  padding: 2rem;
  background-color: #eac7c7;
  border: var(--border);
}
.fry .wrapper .fry-card:hover {
  box-shadow: var(--box-shadow);
}
.fry .wrapper .fry-card .icon a {
  color: #fff;
  border: var(--border);
  height: 5rem;
  width: 5rem;
  padding: 6px;
  font-size: 2rem;
  margin: 1.5rem;
  line-height: 5rem;
  border-radius: 5px;
}
.fry .wrapper .fry-card .icon a:hover {
  background-color: var(--main-color);
  box-shadow: var(--box-shadow);
}
.fry .wrapper .fry-card .img {
  padding: 2.5rem 0;
}
.fry .wrapper .fry-card .img img {
  height: 25rem;
  width: 30rem;
}
.fry .wrapper .fry-card .content h3 {
  color: #fff;
  font-size: 2.5rem;
  margin: 0.5rem 0;
}
.fry .wrapper .fry-card .content .star {
  padding: 1.8rem;
}
.fry .wrapper .fry-card .content .star i {
  font-size: 1.7rem;
  color: var(--main-color);
}
.fry .wrapper .fry-card .content .price {
  color: #fff;
  font-size: 1.8rem;
}
/***Tablets and small laptop ****/
@media (max-width: 1022px) {
  html {
    font-size: 55%;
  }
}
@media (max-width: 1014px) {
  html {
    font-size: 53%;
  }
}
@media (max-width: 992px) {
  html {
    font-size: 43%;
  }
  .header .logo img {
    /* height: 9rem; */
    width: 14rem;
    border-radius: 50%;
    margin-left: -15px;
  }
}
/**** Small Device *****/
@media (max-width: 900px) {
  section {
    padding: 2rem;
  }
  .header .icon .menu-icon {
    display: inline-block;
  }
  .header .navbar {
    position: absolute;
    top: 100%;
    right: -100%;
    width: 30rem;
    background-color: #fff;
    height: 100vh;
    text-align: center;
  }
  .home {
    background-position: left;
  }
  .home .hero h3,
  .home-bakery .hero-bakery h3,
  .home-cake .hero-cake h3,
  .home-fast .hero-fast h3,
  .content-hero .heros h3,
  .home-contact .hero-contact h3,
  .home-party .hero-party h3,
  .home-fry .hero-fry h3 {
    font-size: 4.5rem;
  }
  .home .hero p,
  .home-bakery .hero-bakery p,
  .home-cake .hero-cake p,
  .home-fast .hero-fast p,
  .content-hero .heros p,
  .home-contact .hero-contact p,
  .home-party .hero-party p,
  .home-fry .hero-fry p {
    font-size: 1.5rem;
  }
  .header .navbar.active {
    right: 0;
  }
  .header .navbar a {
    color: var(--main-color);
    display: block;
    font-size: 2rem;
    padding: 0.5rem;
    margin: 1.5rem;
  }
  .header .search-form {
    width: 92%;
  }
  .header .search-form.active {
    right: 4%;
  }
}
@media (max-width: 550px) {
  html {
    font-size: 50%;
  }
}

/* WhatsApp Floating Button */
.whatsapp-float {
  position: fixed;
  bottom: 40px;
  right: 20px;
  width: 60px;
  height: 60px;
  background-color: #25d366;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  text-decoration: none;

  /* Soft green shadow */
  box-shadow: 0 4px 15px rgba(37, 211, 102, 0.5);

  transition: all 0.3s ease;
  z-index: 1000;
}

/* Icon */
.whatsapp-float img {
  width: 32px;
  height: 32px;
}

/* Hover Effect (Glow Increase) */
.whatsapp-float:hover {
  transform: scale(1.1);

  /* Stronger glow */
  box-shadow: 0 8px 30px rgba(37, 211, 102, 0.9);
}

/* Click Effect */
.whatsapp-float:active {
  transform: scale(0.95);
}
